summaryrefslogtreecommitdiff
path: root/bg1/install-patch-baldurdash-text.sh
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
commit0d14bb784aa524de00c88e9a25bb812c5339cc43 (patch)
tree4e4d23f1a015fe0d6c6a02626f20fb7b9555de28 /bg1/install-patch-baldurdash-text.sh
parent6ec9844921a2a465e02c26e0a09344aaff70fe93 (diff)
downloadgemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.tar.bz2
gemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.zip
Safely escaped all potentially unsafe variables.
And probably a couple already safe ones too.
Diffstat (limited to 'bg1/install-patch-baldurdash-text.sh')
-rwxr-xr-xbg1/install-patch-baldurdash-text.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/bg1/install-patch-baldurdash-text.sh b/bg1/install-patch-baldurdash-text.sh
index 9dbf9a9..7eeee3b 100755
--- a/bg1/install-patch-baldurdash-text.sh
+++ b/bg1/install-patch-baldurdash-text.sh
@@ -17,8 +17,8 @@
# BG1 Baldurdash text pack
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
parseargs "$@"
@@ -35,8 +35,8 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
-unzip -L $TMPDIR/BG1NoTOSCGameTextUpdate10.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
+unzip -L "${TMPDIR}/BG1NoTOSCGameTextUpdate10.exe" -d "$TMPDIR" 2>/dev/null
+cp "${TMPDIR}/dialog.tlk" "${TARGETDIR}/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"